Bug 542559 - Review Request: rubygem-thor - Scripting framework that replaces rake, sake and rubigen
Review Request: rubygem-thor - Scripting framework that replaces rake, sake a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 541512 541807
Blocks: 549286
  Show dependency treegraph
 
Reported: 2009-11-30 02:03 EST by Matthew Kent
Modified: 2010-11-11 07:10 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.12.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-31 02:47:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthew Kent 2009-11-30 02:03:57 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-thor.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-thor-0.12.0-1.fc13.src.rpm
Description: Thor is a scripting framework that replaces rake, sake and rubigen.

mkent@fedora-devel-chef:~/rpmbuild/SPECS$ rpmlint rubygem-thor.spec /var/tmp/results/rubygem-thor-*
rubygem-thor-doc.noarch: W: no-documentation
rubygem-thor-doc.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/thor-0.12.0/ri/Thor/Shell/shell%3d-i.yaml %3d
rubygem-thor-doc.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/thor-0.12.0/ri/Thor/Shell/Basic/no%3f-i.yaml %3f
rubygem-thor-doc.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/thor-0.12.0/ri/Thor/Shell/Basic/padding%3d-i.yaml %3d
rubygem-thor-doc.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/thor-0.12.0/ri/Thor/Actions/ClassMethods/add_runtime_options%21-i.yaml %21
rubygem-thor-doc.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/thor-0.12.0/ri/Thor/Base/ClassMethods/exit_on_failure%3f-i.yaml %3f
rubygem-thor-doc.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/thor-0.12.0/ri/Thor/Shell/Basic/yes%3f-i.yaml %3f
rubygem-thor-doc.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/thor-0.12.0/ri/Thor/Base/shell%3d-c.yaml %3d
rubygem-thor-doc.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/thor-0.12.0/ri/Thor/Actions/destination_root%3d-i.yaml %3d
3 packages and 1 specfiles checked; 0 errors, 9 warnings.
Comment 1 Mamoru TASAKA 2009-12-18 13:53:08 EST
Some notes:

* Source
  - Source0 in srpm differs from what I could download from
    the URL written in the spec file
-------------------------------------------------------------
5fa79d6ca562a39c72c89f5447a3fbd5  thor-0.12.0.gem
32e034949be3726ff1857d0edeae6566  rubygem-thor-0.12.0-1.fc13.src/thor-0.12.0.gem
-------------------------------------------------------------
    (and the contents of two gems actually differ)

* Requires
  - bin/rake2thor contains:
-------------------------------------------------------------
     8  require 'rake'
-------------------------------------------------------------
    As the Summary of this spec file says "that replaces rake,",
    I think it is admitted to add "Requires: rubygem(rake)" and
    this should surely be added.

  - lib/thor/shell/color.rb contains:
-------------------------------------------------------------
    98            @diff_lcs_loaded = begin
    99              require 'diff/lcs'
   100              true
   101            rescue LoadError
   102              false
   103            end
-------------------------------------------------------------
    I guess "diff/lcs" dependency is surely optional, however
    as Fedora already has rubygem-diff-lcs, you may want to
    add this dependency (however this is up to what you think)
Comment 2 Matthew Kent 2009-12-21 00:12:21 EST
Thank you for the review.

(In reply to comment #1)
> Some notes:
> 
> * Source
>   - Source0 in srpm differs from what I could download from
>     the URL written in the spec file
> -------------------------------------------------------------
> 5fa79d6ca562a39c72c89f5447a3fbd5  thor-0.12.0.gem
> 32e034949be3726ff1857d0edeae6566 
> rubygem-thor-0.12.0-1.fc13.src/thor-0.12.0.gem
> -------------------------------------------------------------
>     (and the contents of two gems actually differ)
> 

Good catch! Looks like they replaced it after the recent rubyforge -> gemcutter migration.

> * Requires
>   - bin/rake2thor contains:
> -------------------------------------------------------------
>      8  require 'rake'
> -------------------------------------------------------------
>     As the Summary of this spec file says "that replaces rake,",
>     I think it is admitted to add "Requires: rubygem(rake)" and
>     this should surely be added.
> 

Yeah I went back and forth on this one a bit initial, but your right, it should be there.

>   - lib/thor/shell/color.rb contains:
> -------------------------------------------------------------
>     98            @diff_lcs_loaded = begin
>     99              require 'diff/lcs'
>    100              true
>    101            rescue LoadError
>    102              false
>    103            end
> -------------------------------------------------------------
>     I guess "diff/lcs" dependency is surely optional, however
>     as Fedora already has rubygem-diff-lcs, you may want to
>     add this dependency (however this is up to what you think)  

Oh, missed this one. Looks like a minimal impact to add it as diff-lcs doesn't have any dependencies of its own.
Comment 3 Matthew Kent 2009-12-21 00:13:48 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-thor.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-thor-0.12.0-2.fc13.src.rpm

* Fri Dec 18 2009 Matthew Kent <mkent@magoazul.com> - 0.12.0-2
- Add Requires for rubygem(rake) (#542559).
- Upstream replaced Source after the gemcutter migration, update to latest
  (#542559).
- Add Requires for rubygem(diff-lcs) as Thor can take advantage of it for
  colourized diff output (#542559).
Comment 4 Mamoru TASAKA 2009-12-21 11:32:32 EST
Okay.

--------------------------------------------------------
  This package (rubygem-thor) is APPROVED by mtasaka
--------------------------------------------------------
Comment 5 Matthew Kent 2009-12-22 00:58:01 EST
New Package CVS Request
=======================
Package Name: rubygem-thor
Short Description: Scripting framework that replaces rake, sake and rubigen
Owners: mkent
Branches: F-11 F-12
InitialCC:
Comment 6 Dennis Gilmore 2009-12-23 14:45:30 EST
CVS done
Comment 7 Fedora Update System 2009-12-30 19:54:46 EST
rubygem-thor-0.12.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-thor-0.12.0-2.fc11
Comment 8 Fedora Update System 2009-12-30 19:55:34 EST
rubygem-thor-0.12.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-thor-0.12.0-2.fc12
Comment 9 Mamoru TASAKA 2009-12-31 02:47:09 EST
Closing.
Comment 10 Fedora Update System 2010-01-01 22:34:50 EST
rubygem-thor-0.12.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-01-01 22:37:55 EST
rubygem-thor-0.12.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Michael Stahnke 2010-09-10 16:40:26 EDT
Package Change Request
======================
Package Name: rubygem-thor
New Branches: el5 el6
Owners: stahnma

mkent is aware of request.
Comment 13 Kevin Fenzi 2010-09-11 15:47:33 EDT
Git done (by process-git-requests).
Comment 14 Jozef Zigmund 2010-11-11 07:10:22 EST
Hi,

Could you update this gem to the newest version ?

Note You need to log in before you can comment on or make changes to this bug.